<?php
/**
 * Created by PhpStorm.
 * User: crose
 * Date: 12/23/15
 * Time: 6:16 PM
 */

namespace qfq;

use qfq;

require_once(__DIR__ . '/../qfq/QuickFormQuery.php');
//require_once(__DIR__ . '/../qfq/store/Store.php');
require_once(__DIR__ . '/../qfq/Constants.php');


/**
 * Return JSON encoded answer
 *
 * status: success|error
 * message: <message>
 * redirect: client|url|no
 * redirect-url: <url>
 * field-name:<field name>
 * field-message: <message>
 *
 * Description:
 *
 * Delete successfull.
 *  status = 'success'
 *  message = <message>
 *  redirect = 'client'
 *
 * Delete successfull.
 *  status = 'success'
 *  message = <message>
 *  redirect = 'url'
 *  redirect-url = <URL>
 *
 * Delete failed: Show message.
 *  status = 'error'
 *  message = <message>
 *  redirect = 'no'
 */

$answer = array();

$answer[API_REDIRECT] = API_ANSWER_REDIRECT_NO;
$answer[API_MESSAGE] = 'Something failed';
$answer[API_STATUS] = API_ANSWER_STATUS_ERROR;

try {

    $qfq = new \qfq\QuickFormQuery(['bodytext' => '']);

    $result = $qfq->delete();

} catch (qfq\UserFormException $e) {
    $answer[API_MESSAGE] = $e->formatMessage();
} catch (qfq\CodeException $e) {
    $answer[API_MESSAGE] = $e->formatMessage();
} catch (qfq\DbException $e) {
    $answer[API_MESSAGE] = $e->formatMessage();
} catch (\Exception $e) {
    $answer[API_MESSAGE] = "Generic Exception: " . $e->getMessage();
}

// Fallbak. in case an exception has been thrown and $result is not filled.
if (!isset($result[MSG_HEADER]) && !isset($result[MSG_CONTENT])) {
    $result[MSG_HEADER] = "Content-Type: application/json";
    $result[MSG_CONTENT] = json_encode($answer);
}

if (isset($result[MSG_HEADER]) && $result[MSG_HEADER] !== '')
    header($result[MSG_HEADER]);

echo $result[MSG_CONTENT];



